I am unable to build a Solaris version of the mod_jk...
1 posts in topic
Flat View  Flat View
TOPIC ACTIONS:
 

Posted By:   Kyle_Willkomm
Posted On:   Thursday, February 1, 2001 11:52 AM

I am unable to build a Solaris version of the mod_jk module that I need for connecting the Tomcat 3.2.1 servlet engine to the Apache web server 1.3.9. What gives?

Re: I am unable to build a Solaris version of the mod_jk...

Posted By:   Thomas_Greene  
Posted On:   Friday, April 20, 2001 05:27 PM

Just built one today.
Had some trouble but finally got it
built.
I had to use a slightly modified command
than the one given.

/usr/apache/bin/apxs -S CC=gcc -S CFLAGS_SHLIB=-G -o mod_jk.so -DSOLARIS -I../jk -I/usr/java/include -I/usr/java/include/solaris -lposix4 -c *.c ../jk/*.c

The -S CC=gcc set my compiler to the "gnu c compiler" since I didn't have "cc" for a compiler.

The -S CFLAGS_SHLIB=-G changes the default options for compiling since the defaults didn't work.

The -lposix4 option solved a problem with fdatasync.

The above command failed for me becuase the *.o files were put in the current directory instead of ../jk.

I then copied *.o to ../jk and ran the command again.

This finally built the mod_jk.so.

Commands were executed from
/usr/local/j*src/src/native/apache1.3
About | Sitemap | Contact